player = {}
player.x, player.y = 10, 10
player.speed = 500

function player.load()
	player.image = love.graphics.newImage("images/player.png")
	player.h, player.w = player.image:getHeight(), player.image:getWidth()
end

function player.draw()
	love.graphics.draw(player.image, player.x, player.y)
end

function player.update(dt)
	if love.keyboard.isDown("right") then
		player.x = player.x + player.speed * dt
	end
	if love.keyboard.isDown("left") then
		player.x = player.x - player.speed * dt
	end
	if love.keyboard.isDown("up") then
		player.y = player.y - player.speed * dt
	end
	if love.keyboard.isDown("down") then
		player.y = player.y + player.speed * dt
	end
	
	if player.x + player.w >= world.width then
		player.x = world.width - player.w
	elseif player.x <= 0 then
		player.x = 0
	end
	if player.y + player.h >= world.height then
		player.y = world.height - player.h
	elseif player.y <= 0 then
		player.y = 0
	end 
end